import junit.framework.TestCase;
import junit.swingui.TestRunner;


public class EinwohnerTest extends TestCase {

	protected Einwohner e;


	public static void main(String[] args) {
		TestRunner.main(new String[]{"EinwohnerTest"});
	}

	public EinwohnerTest(String name) {
		super(name);
	}

	protected void setUp() {
		e = new Einwohner();
    }

    protected void tearDown() {
	}

	public void testSteuerE1() {
		e.setEinkommen(20);
		assertEquals(2,e.steuer());
	}

	public void testSteuerE2() {
		e.setEinkommen(-5);
		assertEquals(1,e.steuer());
	}

	public void testSteuerE3() {
		e.setEinkommen(0);
		assertEquals(1,e.steuer());
	}

	public void testSteuerE4() {
		e.setEinkommen(10);
		assertEquals(1,e.steuer());
	}

	public void testSteuerE5() {
		e.setEinkommen(25);
		assertEquals(2,e.steuer());
	}


}